> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Provider data coverage matrix



## OpenAPI

````yaml https://api.openwearables.io/openapi.json get /api/v1/meta/coverage
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/meta/coverage:
    get:
      tags:
        - 'External: Meta'
        - 'External: Meta'
      summary: Provider data coverage matrix
      operationId: get_coverage_api_v1_meta_coverage_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoverageResponse'
components:
  schemas:
    CoverageResponse:
      properties:
        providers:
          items:
            type: string
          type: array
          title: Providers
        timeseries:
          items:
            $ref: '#/components/schemas/TimeseriesCategory'
          type: array
          title: Timeseries
        workout_fields:
          items:
            $ref: '#/components/schemas/WorkoutField'
          type: array
          title: Workout Fields
        sleep_fields:
          items:
            $ref: '#/components/schemas/SleepField'
          type: array
          title: Sleep Fields
        menstrual_cycle_fields:
          items:
            $ref: '#/components/schemas/MenstrualCycleField'
          type: array
          title: Menstrual Cycle Fields
        health_scores:
          items:
            $ref: '#/components/schemas/HealthScore'
          type: array
          title: Health Scores
      type: object
      required:
        - providers
        - timeseries
        - workout_fields
        - sleep_fields
        - menstrual_cycle_fields
        - health_scores
      title: CoverageResponse
    TimeseriesCategory:
      properties:
        name:
          type: string
          title: Name
        metrics:
          items:
            $ref: '#/components/schemas/TimeseriesMetric'
          type: array
          title: Metrics
      type: object
      required:
        - name
        - metrics
      title: TimeseriesCategory
    WorkoutField:
      properties:
        code:
          type: string
          title: Code
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - code
        - providers
      title: WorkoutField
    SleepField:
      properties:
        code:
          type: string
          title: Code
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - code
        - providers
      title: SleepField
    MenstrualCycleField:
      properties:
        code:
          type: string
          title: Code
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - code
        - providers
      title: MenstrualCycleField
    HealthScore:
      properties:
        code:
          type: string
          title: Code
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - code
        - providers
      title: HealthScore
    TimeseriesMetric:
      properties:
        code:
          type: string
          title: Code
        unit:
          type: string
          title: Unit
        providers:
          items:
            type: string
          type: array
          title: Providers
      type: object
      required:
        - code
        - unit
        - providers
      title: TimeseriesMetric

````